%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-remoting
Version:          3.2.2
Release:          3%{?dist}
Summary:          JBoss Remoting 3
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/jbossremoting

# git clone git://github.com/jboss-remoting/jboss-remoting.git
# cd jboss-remoting && git checkout 3.2.2.GA && git checkout-index -f -a --prefix=jboss-remoting-3.2.2.GA/
# rm jboss-remoting-3.2.2.GA/src/test/resources/test-content.bin
# tar -cJf jboss-remoting-3.2.2.GA-CLEAN.tar.xz jboss-remoting-3.2.2.GA
Source0:          %{name}-%{namedversion}-CLEAN.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    jboss-parent
BuildRequires:    xnio >= 3.0.0-0.2.CR5
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-logging-tools
BuildRequires:    junit4
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    apiviz

Requires:         jboss-logmanager
Requires:         jboss-logging-tools
Requires:         xnio >= 3.0.0-0.2.CR5
Requires:         jpackage-utils
Requires:         java

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
# Skipped test because of removing binary content from test dir which is required to run them
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc COPYING.txt

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING.txt

%changelog
* Tue Mar 14 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.2-3
- Rebuild

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.2-2
- Relocated jars to _javadir

* Thu Feb 16 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.2-1
- Upstream release 3.2.2.GA

* Tue Feb 14 2012 Marek Goldmann <mgoldman@redhat.com> 3.2.1-1
- Upstream release 3.2.1.GA

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-0.3.CR6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.2.CR6
- Upstream release 3.2.0.CR6

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.CR2
- Upstream release 3.2.0.CR2

* Mon Oct 24 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3
- Fixed javadocs dir issue

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta2
- Initial packaging

